perl-embperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From rich...@ecos.de
Subject RE: Status of Embperl?
Date Mon, 03 Sep 2012 07:22:29 GMT
Hi,

Embperl is still alive :-), also it's moving slowly :-(

The version in the svn and the dev snapshot 2.5.0_1 (which can be found at http://www.embperl.org/downloads/
) solves the debian problem.

There are some problems left with mod_perl and perl 5.14 and 5.16 .

There is a solution for the "compile error" problem in the current svn version (but this causes
some warnings when a page is changed and recompiled).

Please use Version 2.5.0_1 or the source from the svn if you run Perl 5.14 or 5.16 .

The good news is that I currently working on a payed project which includes fixing Embperl
for Perl 5.14 & 5.16, so hopefully there will be a new release in a few weeks, which solves
all these problems.

Gerald


> -----Original Message-----
> From: Dominic Hargreaves [mailto:dom@earth.li]
> Sent: Sunday, September 02, 2012 12:22 PM
> To: Benni Bärmann
> Cc: embperl@perl.apache.org
> Subject: Re: Status of Embperl?
> 
> On Sun, Sep 02, 2012 at 08:44:05AM +0200, Benni Bärmann wrote:
> 
> > - Embperl is deleted from Debian testing (Wheezy, 7.0) and Ubuntu
> > 12.04. Is there any hope that it will get back in Wheezy? I saw some
> > discussion here about this issue, but could not figure out, if there
> > is any hope.
> 
> The main reason for this is, as far as I can remember, that there is no
> released version which works with current mod_perl. I can't remember if
> there are also issues with perl 5.14 also.
> 
> The Debian bug report is
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=624578
> 
> Note that this bug meant it was not possible to build the package against perl
> 5.14, which is why I worked on it (I was responsible for the perl
> 5.12 and perl 5.14 migrations in Debian), but I don't use embperl myself.
> 
> Unfortunately I think we're too late to get embperl back into wheezy even if
> there was someone around who had the time and expertise. If a release
> which works with current mod_perl and perl comes out, it can be
> subsequently added to unstable and then added to wheezy-backports after
> release, though.
> 
> --
> Dominic Hargreaves | http://www.larted.org.uk/~dom/ PGP key 5178E2A5
> from the.earth.li (keyserver,web,email)
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
> For additional commands, e-mail: embperl-help@perl.apache.org



---------------------------------------------------------------------
To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
For additional commands, e-mail: embperl-help@perl.apache.org


Mime
View raw message